# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_decoder_t Struct Reference

`#include <dirac_parser.h>`

Collaboration diagram for dirac_decoder_t:

[legend]

List of all members.

## Public Attributes

- dirac_decoder_state_t state
- dirac_parseparams_t parse_params
- dirac_seqparams_t seq_params
- dirac_sourceparams_t src_params
- dirac_frameparams_t frame_params
- void * parser
- dirac_framebuf_t * fbuf
- int frame_avail
- int verbose

## Detailed Description

Structure that holds the information returned by the parser

## Member Data Documentation

dirac_decoder_state_t dirac_decoder_t::state

parser state

dirac_parseparams_t dirac_decoder_t::parse_params

parse parameters

dirac_seqparams_t dirac_decoder_t::seq_params

sequence parameters

dirac_sourceparams_t dirac_decoder_t::src_params

source parameters

dirac_frameparams_t dirac_decoder_t::frame_params

frame parameters

void* dirac_decoder_t::parser

void pointer to internal parser

dirac_framebuf_t* dirac_decoder_t::fbuf

frame buffer to hold luma and chroma data

int dirac_decoder_t::frame_avail

boolean flag that indicates if a decoded frame is available

int dirac_decoder_t::verbose

verbose output

The documentation for this struct was generated from the following file:

- dirac_parser.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.